#
# spec file for package perl-HTML-RewriteAttributes
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTML-RewriteAttributes
Name:           perl-HTML-RewriteAttributes
Version:        0.60.0
Release:        1.1
# 0.06 -> normalize -> 0.60.0
%define cpan_version 0.06
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Concise attribute rewriting
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BP/BPS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTML::Tagset)
BuildRequires:  perl(URI)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Parser)
Requires:       perl(HTML::Tagset)
Requires:       perl(URI)
Provides:       perl(HTML::RewriteAttributes) = %{version}
Provides:       perl(HTML::RewriteAttributes::Links) = 0.03
Provides:       perl(HTML::RewriteAttributes::Resources) = 0.03
%undefine       __perllib_provides
%{perl_requires}

%description
'HTML::RewriteAttributes' is designed for simple yet powerful HTML
attribute rewriting.

You simply specify a callback to run for each attribute and we do the rest
for you.

This module is designed to be subclassable to make handling special cases
easier. See the source for methods you can override.

See the SYNOPSIS above and included tests in the 't' directory for more
examples.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Thu Dec 12 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.60.0 (0.06)
  see /usr/share/doc/packages/perl-HTML-RewriteAttributes/Changes
  0.06    Fri Nov  12 2024
    Pass more args to callback to support adding attributes.
    Improve documentation for other features.
    Add dot ('.') to Makefile.PL to find Module::Install in newer perls. Reported by Kent Fredric, RT 121446.
    Remove unneeded shebang line in lib files. Reported by Laurent Baillet, RT 126906.
    Fix spelling error in docs. Reported by x.guimard, RT 126964.
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Thu Jan 17 2013 darin@darins.net
- Update to version 0.05
  * Resources: Preserve the media attribute when inlining CSS
  * Resources: Avoid uninitialized warnings by checking the
    attributes we expect
- Update source URL
* Tue Aug  2 2011 them4z@googlemail.com
- updated to 0.04
  * created by cpanspec 1.78.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Sep  4 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.03
